package com.test.ejb;


import javax.ejb.LocalBean;
import javax.ejb.Stateless;
import javax.inject.Inject;
import javax.persistence.EntityManager;

import com.test.jpa.Person;


@Stateless
@LocalBean
public class TestEJB {

    @Inject
    private EntityManager em;

    public String method() {
        Person me = em.createQuery("select p from Person p where p.name = 'Rafał'", Person.class).getSingleResult();
        return getClass().getName() + ".method() called, result: " + me;
    }
}